#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityFishingCeleBaseInfoData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
	//×Ö·û´®
	std::string mStringValue;
};

class M_ActivityFishingCeleBaseInfo
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleBaseInfo> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleBaseInfoData* GetData(std::string Key);
	boost::unordered_map<std::string, M_ActivityFishingCeleBaseInfoData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityFishingCeleBaseInfo* GetSingleton();
private:
	boost::unordered_map<std::string, M_ActivityFishingCeleBaseInfoData> mMapData;
};
